aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-uptime/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-07 09:51:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-22 08:23:16 +0000
commitb054b5eb63f5450f73128b4684f7713c3e46beb9 (patch)
tree39b01deba915d2a0396f9c4a22a5febce77839b4 /testing/py-uptime/APKBUILD
parentf1517d19733742b7ce409337ebbd1c4142ffcf81 (diff)
downloadaports-b054b5eb63f5450f73128b4684f7713c3e46beb9.tar.gz
aports-b054b5eb63f5450f73128b4684f7713c3e46beb9.tar.bz2
aports-b054b5eb63f5450f73128b4684f7713c3e46beb9.tar.xz
testing/py-uptime: new aport
A Python uptime library https://github.com/Cairnarvon/uptime
Diffstat (limited to 'testing/py-uptime/APKBUILD')
-rw-r--r--testing/py-uptime/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-uptime/APKBUILD b/testing/py-uptime/APKBUILD
new file mode 100644
index 0000000000..6b4a0229d5
--- /dev/null
+++ b/testing/py-uptime/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-uptime
+_pkgname=uptime
+pkgver=3.0.0
+pkgrel=0
+pkgdesc="A Python uptime library"
+url="https://github.com/Cairnarvon/uptime"
+arch="all"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="0691aa9a5e2e0747c95a05a3750aa2da uptime-3.0.0.tar.gz"
+sha256sums="717b0c285a29930ba1e6447fb6d727d9d9272d3276aa2fabba3ea35c00fc09ae uptime-3.0.0.tar.gz"
+sha512sums="609bf35a00939146718179b4fd5f8afaa51b4eb3f30dd2a359b97d01d2dfeb22a1816699c0f176fc4ec497cac079f188a0663d42bc6382e7e18aff55e6e68e91 uptime-3.0.0.tar.gz"